package model

import (
	"time"
)

type TaGoodsOrders struct {
	OrdersId   string    `xorm:"not null pk VARCHAR(64)"`
	OrdersNo   string    `xorm:"VARCHAR(32)"`
	OrgId      string    `xorm:"VARCHAR(64)"`
	CaseId     string    `xorm:"VARCHAR(64)"`
	AreaId     string    `xorm:"VARCHAR(64)"`
	AreaName   string    `xorm:"VARCHAR(50)"`
	TableId    string    `xorm:"VARCHAR(64)"`
	TableNo    string    `xorm:"VARCHAR(50)"`
	Amount     string    `xorm:"DECIMAL(8,2)"`
	CreateDate time.Time `xorm:"DATETIME"`
	Status     int       `xorm:"SMALLINT(6)"`
	PayType    string    `xorm:"comment('vip VIP卡城币抵用
            coupon 优惠券抵用') VARCHAR(20)"`
	UserType     string `xorm:"VARCHAR(20)"`
	UserId       string `xorm:"VARCHAR(64)"`
	UserName     string `xorm:"VARCHAR(200)"`
	OrdersNum    int    `xorm:"INT(11)"`
	Remark       string `xorm:"TEXT"`
	IsPay        int    `xorm:"TINYINT(1)"`
	ActualAmount string `xorm:"DECIMAL(8,2)"`
	CouponAmount string `xorm:"DECIMAL(8,2)"`
	MakeStatus   string `xorm:"VARCHAR(20)"`
}
